* {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    width: 70%;
    margin: 5px auto;
}

img {
    padding: 20px;
    max-width: 100%;
    max-height: 100%;
}

main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 10px;
    border: 2px black solid;
    border-radius: 30px 0px 0px 30px;
    box-shadow: 20px 10px 40px;
}

header {
    background-color: lightblue;
    height: 30px;
    border-radius: 30px 0 0 0;
    padding: 30px;
    color: rgb(32, 107, 182);
}

article {
    display: flex;
    flex-direction: column;
}

.contenido {
    display: flex;
}

.contenido:first-child {
    justify-content: end;
    flex-grow: 10%;
}

.contenido:nth-child(2) {
    flex-grow: 30%;
}

.contenido:nth-child(3) {
    flex-grow: 60%;
}

.caja {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    border-radius: 30px 0px 30px 0px;
    margin: 20px;
    box-shadow: 5px 5px 10px;
}

.caja p, .caja h3 {
    padding: 30px;
}

.caja h3 {
    color: white;
}

.caja:first-child {
    background-color: #54d1f1;
}

.caja:nth-child(2) {
    background-color: #f2ca85;
}

.caja:nth-child(3) {
    background-color: #f89a7e;
}

.contenido:last-child {
    border: 1px black solid;
    border-radius: 30px 0 30px 0;
}

.contenido:last-child div {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    border: 1px black solid;
    border-radius: 30px 0 30px 0;
    margin: 20px;
    padding: 20px;
}

.contenido:last-child div img {
    max-height: 80%;
    max-width: 80%;
}

@media all and (max-width:800px) {
    header div span {
        display: none;
    }

    .contenido:first-child h2 {
        text-align: center;
    }

    .contenido {
        display: flex;
        flex-direction: column;
    }
}